Package: groovy.io

## [Java] Class PlatformLineWriter

- groovy.io.PlatformLineWriter

- A buffered writer that gobbles any \r characters and replaces every \n with a platform specific newline. In many places Groovy normalises streams to only have \n characters but when creating files that must be used by other platform-aware tools, you sometimes want the newlines to match what the platform expects.

  Authors:
    Paul King

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PlatformLineWriter (Writer out)`
    `PlatformLineWriter (Writer out, int sz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, flush, write, write, write, write, write, close, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PlatformLineWriter(Writer out)

    - #### public PlatformLineWriter(Writer out, int sz)

  - ### Method Detail

    - #### public void close()

    - #### public void flush()

    - #### public void write(char[] cbuf, int off, int len)